%define upstream_name    Tk-CursorControl
%define upstream_version 0.4

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 22
BuildArch:	noarch

Summary:	Manipulate the mouse cursor programmatically
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz
# don't install cursor.pl demo - add to docs instead
Patch0:         perl-Tk-CursorControl-no-demos.patch
# disable interactive tests (reenable --with interactive-tests)
Patch1:         perl-Tk-CursorControl-no-interactive-test.patch

BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Tk) >= 800.15.0
BuildRequires:	perl-devel


%{?perl_default_filter}

%description
Tk::CursorControl is -NOT- a Tk::Widget. Rather, it uses Tk and
encompasses a collection of methods used to manipulate the cursor (aka
pointer) programmatically from a Tk program.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files
%doc Changes README demos/cursor.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.400.0-22.mga9
+ Revision: 1834621
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.400.0-21.mga8
+ Revision: 1519889
- Mageia 8 Mass Rebuild

* Mon Oct 22 2018 tv <tv> 0.400.0-20.mga7
+ Revision: 1323944
- install in the right place
- reorder & reenable testsuite

* Sat Oct 13 2018 tv <tv> 0.400.0-19.mga7
+ Revision: 1320038
- rebuild so that it ends in the right dir

* Wed Sep 19 2018 tv <tv> 0.400.0-18.mga7
+ Revision: 1272738
- fix filelist
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.400.0-17.mga6
+ Revision: 1035403
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.400.0-16.mga6
+ Revision: 971501
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.400.0-15.mga6
+ Revision: 891774
- make it noarch thus fixing empty debuginfo

* Fri Jun 26 2015 tv <tv> 0.400.0-14.mga6
+ Revision: 845394
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.400.0-13.mga6
+ Revision: 841169
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.400.0-12.mga5
+ Revision: 746098
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.400.0-11.mga5
+ Revision: 736118
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.400.0-10.mga5
+ Revision: 686721
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.400.0-9.mga5
+ Revision: 632329
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.400.0-8.mga4
+ Revision: 524136
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.400.0-7.mga4
+ Revision: 430247
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-6.mga3
+ Revision: 374416
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.400.0-5.mga3
+ Revision: 251280
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.400.0-4.mga2
+ Revision: 105084
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.400.0-3.mga1
+ Revision: 32502
- mageia rebuild
- imported package perl-Tk-CursorControl

